require('src.extensions.run')
require('src.extensions.errorhandler')
require('src.extensions.quit')

require("lib.tesound")
_G['Vars'] = require('src.Vars')
local ScreenManager = require('lib.ScreenManager')
local Mobile = require('src.utils.Mobile')
local Theme = require('src.utils.Theme')
local Config = require('src.data.Config')




function love.load()
    Mobile.load()
    Config.parse()
    Theme.init(Config.theme)
    ScreenManager.registerCallbacks({'keypressed', 'touchpressed', 'touchmoved', 'touchreleased'})
    ScreenManager.init({SplashScreenState = require('src.states.SplashScreenState')}, 'SplashScreenState')

end


function love.draw()
    ScreenManager.draw()
end

function love.update(dt)
    TEsound.cleanup()
    ScreenManager.update(dt)
end

function love.mousemoved(x,y, _, _, istouch)
    if not istouch then
        ScreenManager.mousemoved(x, y)
    end
end

function love.mousepressed(x, y, button, istouch)
    if not istouch then
        ScreenManager.mousepressed(x, y, button)
    end
end

function love.mousereleased(x, y, button, istouch)
    if not istouch then
        ScreenManager.mousereleased(x, y, button)
    end
end