local Entity = require('src.Entity')
local Theme = require('src.utils.Theme')

---@class CorrectNoteEffect : Entity
local CorrectNoteEffect = Entity:extend()

function CorrectNoteEffect:new(area, options)
    Entity.new(self, area, options)
    self.timer:tween(Vars.note.fadeAway, self, {
        color = Theme.transparent,
        scale = 2.5
    }, 'linear', function()
        self.isDead = true
        self.target = nil
    end)
end

function CorrectNoteEffect:draw()
    love.graphics.setColor(self.color)
    love.graphics.draw(self.image,
        self.target.x + self.xOrigin + self.padding, self.target.y,
        self.rotation, self.scale, self.scale, self.xOrigin, self.yOrigin)
end


return CorrectNoteEffect